<html>
<head>
<title>Ogre::SymbianEGLContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1SymbianEGLContext.html">SymbianEGLContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SymbianEGLContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SymbianEGLContext" --><!-- doxytag: inherits="Ogre::EGLContext" -->
<p><code>#include &lt;<a class="el" href="OgreSymbianEGLContext_8h_source.html">OgreSymbianEGLContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::SymbianEGLContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1SymbianEGLContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1SymbianEGLContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1SymbianEGLContext_inherit__map" id="Ogre_1_1SymbianEGLContext_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1EGLContext.html" title="Ogre::EGLContext" alt="" coords="96,83,227,112"/><area shape="rect" id="node4" href="classOgre_1_1GLES2Context.html" title="Class that encapsulates an GL context." alt="" coords="5,5,152,35"/><area shape="rect" id="node6" href="classOgre_1_1GLESContext.html" title="Class that encapsulates an GL context." alt="" coords="176,5,315,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1SymbianEGLContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SymbianEGLContext.html#a3044654affde9d32aa250b7d4ccc2f45">SymbianEGLContext</a> (EGLDisplay eglDisplay, const <a class="el" href="classOgre_1_1EGLSupport.html">EGLSupport</a> *glsupport,::EGLConfig fbconfig,::EGLSurface drawable)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SymbianEGLContext.html#a07b10e359c1a18b2ce7fd5468f1c6387">~SymbianEGLContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SymbianEGLContext.html#aee53923de1b24a0d79bb2cd8ee87e568">clone</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#aee53923de1b24a0d79bb2cd8ee87e568"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#aa817ff5a5ae3fbb16d8ad182016b212d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">setCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#aa817ff5a5ae3fbb16d8ad182016b212d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a08612fd3eea707121938bb0197e454c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">endCurrent</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#a08612fd3eea707121938bb0197e454c6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">EGLSurface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#a25c0b54b245d25ebe86668c48b4602bc">getDrawable</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">EGLSurface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#a25c0b54b245d25ebe86668c48b4602bc">getDrawable</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#ae8431fc5c8949de06d1823b58a1ae041">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#a07f77163b45fc7d0e97c37092d0a4d2d">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">releaseContext</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Release the render context.  <a href="#a15cc115c6f857dad066218f1225c4283"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::EGLConfig&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#ac48789f4c5974f11782d49336eb0a45d">mConfig</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1EGLSupport.html">EGLSupport</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#acd5e589611771c972547cde0f7be8359">mGLSupport</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::EGLSurface&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#ae0deff82440f162380917cbc211ad800">mDrawable</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classOgre_1_1EGLContext.html">EGLContext</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#aad31c126a763ea62ac1515763f512dac">mContext</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">EGLDisplay&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EGLContext.html#a8b4f0fa8b51586ff8a07b997ef23ea3f">mEglDisplay</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">initialized</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#ae93da1efe54c832bd69ef71fb73f3c13">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreSymbianEGLContext_8h_source.html#l00036">36</a> of file <a class="el" href="OgreSymbianEGLContext_8h_source.html">OgreSymbianEGLContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3044654affde9d32aa250b7d4ccc2f45"></a><!-- doxytag: member="Ogre::SymbianEGLContext::SymbianEGLContext" ref="a3044654affde9d32aa250b7d4ccc2f45" args="(EGLDisplay eglDisplay, const EGLSupport *glsupport,::EGLConfig fbconfig,::EGLSurface drawable)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SymbianEGLContext.html#a3044654affde9d32aa250b7d4ccc2f45">Ogre::SymbianEGLContext::SymbianEGLContext</a> </td>
          <td>(</td>
          <td class="paramtype">EGLDisplay&#160;</td>
          <td class="paramname"><em>eglDisplay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1EGLSupport.html">EGLSupport</a> *&#160;</td>
          <td class="paramname"><em>glsupport</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::EGLConfig&#160;</td>
          <td class="paramname"><em>fbconfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">::EGLSurface&#160;</td>
          <td class="paramname"><em>drawable</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a07b10e359c1a18b2ce7fd5468f1c6387"></a><!-- doxytag: member="Ogre::SymbianEGLContext::~SymbianEGLContext" ref="a07b10e359c1a18b2ce7fd5468f1c6387" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SymbianEGLContext.html#a07b10e359c1a18b2ce7fd5468f1c6387">Ogre::SymbianEGLContext::~SymbianEGLContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aee53923de1b24a0d79bb2cd8ee87e568"></a><!-- doxytag: member="Ogre::SymbianEGLContext::clone" ref="aee53923de1b24a0d79bb2cd8ee87e568" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a>* <a class="el" href="classOgre_1_1SymbianEGLContext.html#aee53923de1b24a0d79bb2cd8ee87e568">Ogre::SymbianEGLContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1EGLContext.html#aea703d92687ace625f869dbaacb4076e">Ogre::EGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a08612fd3eea707121938bb0197e454c6"></a><!-- doxytag: member="Ogre::SymbianEGLContext::endCurrent" ref="a08612fd3eea707121938bb0197e454c6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESContext.html#aba7e869267f8bfcb0fab3dae63390e28">Ogre::GLESContext</a>.</p>

</div>
</div>
<a class="anchor" id="a08612fd3eea707121938bb0197e454c6"></a><!-- doxytag: member="Ogre::SymbianEGLContext::endCurrent" ref="a08612fd3eea707121938bb0197e454c6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESContext.html#aba7e869267f8bfcb0fab3dae63390e28">Ogre::GLESContext</a>.</p>

</div>
</div>
<a class="anchor" id="a25c0b54b245d25ebe86668c48b4602bc"></a><!-- doxytag: member="Ogre::SymbianEGLContext::getDrawable" ref="a25c0b54b245d25ebe86668c48b4602bc" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EGLSurface <a class="el" href="classOgre_1_1EGLContext.html#a25c0b54b245d25ebe86668c48b4602bc">Ogre::EGLContext::getDrawable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a25c0b54b245d25ebe86668c48b4602bc"></a><!-- doxytag: member="Ogre::SymbianEGLContext::getDrawable" ref="a25c0b54b245d25ebe86668c48b4602bc" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EGLSurface <a class="el" href="classOgre_1_1EGLContext.html#a25c0b54b245d25ebe86668c48b4602bc">Ogre::EGLContext::getDrawable</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abd71a4bfddbdf111e429e9ff825af985"></a><!-- doxytag: member="Ogre::SymbianEGLContext::getInitialized" ref="abd71a4bfddbdf111e429e9ff825af985" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#abd71a4bfddbdf111e429e9ff825af985">Ogre::GLES2Context::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00058">58</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae8431fc5c8949de06d1823b58a1ae041"></a><!-- doxytag: member="Ogre::SymbianEGLContext::getInitialized" ref="ae8431fc5c8949de06d1823b58a1ae041" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESContext.html#ae8431fc5c8949de06d1823b58a1ae041">Ogre::GLESContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15cc115c6f857dad066218f1225c4283"></a><!-- doxytag: member="Ogre::SymbianEGLContext::releaseContext" ref="a15cc115c6f857dad066218f1225c4283" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLES2Context.html#a15cc115c6f857dad066218f1225c4283">Ogre::GLES2Context::releaseContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release the render context. </p>

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00070">70</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa817ff5a5ae3fbb16d8ad182016b212d"></a><!-- doxytag: member="Ogre::SymbianEGLContext::setCurrent" ref="aa817ff5a5ae3fbb16d8ad182016b212d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESContext.html#a197993282e5a13435295cce8b8b0c576">Ogre::GLESContext</a>.</p>

</div>
</div>
<a class="anchor" id="aa817ff5a5ae3fbb16d8ad182016b212d"></a><!-- doxytag: member="Ogre::SymbianEGLContext::setCurrent" ref="aa817ff5a5ae3fbb16d8ad182016b212d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implements <a class="el" href="classOgre_1_1GLESContext.html#a197993282e5a13435295cce8b8b0c576">Ogre::GLESContext</a>.</p>

</div>
</div>
<a class="anchor" id="aae3d4471c090572da0ced04cde4b87bf"></a><!-- doxytag: member="Ogre::SymbianEGLContext::setInitialized" ref="aae3d4471c090572da0ced04cde4b87bf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2Context.html#aae3d4471c090572da0ced04cde4b87bf">Ogre::GLES2Context::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="a07f77163b45fc7d0e97c37092d0a4d2d"></a><!-- doxytag: member="Ogre::SymbianEGLContext::setInitialized" ref="a07f77163b45fc7d0e97c37092d0a4d2d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESContext.html#a07f77163b45fc7d0e97c37092d0a4d2d">Ogre::GLESContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00060">60</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae93da1efe54c832bd69ef71fb73f3c13"></a><!-- doxytag: member="Ogre::SymbianEGLContext::initialized" ref="ae93da1efe54c832bd69ef71fb73f3c13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESContext.html#ae93da1efe54c832bd69ef71fb73f3c13">Ogre::GLESContext::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="adb1cc0fc703a49897a6401dc264b39fa"></a><!-- doxytag: member="Ogre::SymbianEGLContext::initialized" ref="adb1cc0fc703a49897a6401dc264b39fa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLES2Context.html#adb1cc0fc703a49897a6401dc264b39fa">Ogre::GLES2Context::initialized</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2Context_8h_source.html#l00073">73</a> of file <a class="el" href="OgreGLES2Context_8h_source.html">OgreGLES2Context.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac48789f4c5974f11782d49336eb0a45d"></a><!-- doxytag: member="Ogre::SymbianEGLContext::mConfig" ref="ac48789f4c5974f11782d49336eb0a45d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EGLConfig <a class="el" href="classOgre_1_1EGLContext.html#ac48789f4c5974f11782d49336eb0a45d">Ogre::EGLContext::mConfig</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html#l00041">41</a> of file <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html">include/EGL/OgreEGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="aad31c126a763ea62ac1515763f512dac"></a><!-- doxytag: member="Ogre::SymbianEGLContext::mContext" ref="aad31c126a763ea62ac1515763f512dac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1EGLContext.html">EGLContext</a> <a class="el" href="classOgre_1_1EGLContext.html#aad31c126a763ea62ac1515763f512dac">Ogre::EGLContext::mContext</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html#l00044">44</a> of file <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html">include/EGL/OgreEGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae0deff82440f162380917cbc211ad800"></a><!-- doxytag: member="Ogre::SymbianEGLContext::mDrawable" ref="ae0deff82440f162380917cbc211ad800" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EGLSurface <a class="el" href="classOgre_1_1EGLContext.html#ae0deff82440f162380917cbc211ad800">Ogre::EGLContext::mDrawable</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html#l00043">43</a> of file <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html">include/EGL/OgreEGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8b4f0fa8b51586ff8a07b997ef23ea3f"></a><!-- doxytag: member="Ogre::SymbianEGLContext::mEglDisplay" ref="a8b4f0fa8b51586ff8a07b997ef23ea3f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">EGLDisplay <a class="el" href="classOgre_1_1EGLContext.html#a8b4f0fa8b51586ff8a07b997ef23ea3f">Ogre::EGLContext::mEglDisplay</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html#l00045">45</a> of file <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html">include/EGL/OgreEGLContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd5e589611771c972547cde0f7be8359"></a><!-- doxytag: member="Ogre::SymbianEGLContext::mGLSupport" ref="acd5e589611771c972547cde0f7be8359" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1EGLSupport.html">EGLSupport</a> * <a class="el" href="classOgre_1_1EGLContext.html#acd5e589611771c972547cde0f7be8359">Ogre::EGLContext::mGLSupport</a><code> [protected, inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html#l00042">42</a> of file <a class="el" href="include_2EGL_2OgreEGLContext_8h_source.html">include/EGL/OgreEGLContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSymbianEGLContext_8h_source.html">OgreSymbianEGLContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:23
</p>
</body>
</html>
